### Enumeration

# Gtk ButtonsType

#### Declaration

    enum Gtk.ButtonsType

#### Description [src]

Prebuilt sets of buttons for `GtkDialog`.

If none of these choices are appropriate, simply use `GTK_BUTTONS_NONE` and call `gtk_dialog_add_buttons()`.

> Please note that `GTK_BUTTONS_OK`, `GTK_BUTTONS_YES_NO` and `GTK_BUTTONS_OK_CANCEL` are discouraged by the GNOME Human Interface Guidelines.

#### Members

`GTK_BUTTONS_NONE`

  No buttons at all.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GTK_BUTTONS_OK`

  An OK button.

  - Value: `1`
  - Nickname: `ok`
  - Available since: 4.0
`GTK_BUTTONS_CLOSE`

  A Close button.

  - Value: `2`
  - Nickname: `close`
  - Available since: 4.0
`GTK_BUTTONS_CANCEL`

  A Cancel button.

  - Value: `3`
  - Nickname: `cancel`
  - Available since: 4.0
`GTK_BUTTONS_YES_NO`

  Yes and No buttons.

  - Value: `4`
  - Nickname: `yes-no`
  - Available since: 4.0
`GTK_BUTTONS_OK_CANCEL`

  OK and Cancel buttons.

  - Value: `5`
  - Nickname: `ok-cancel`
  - Available since: 4.0